import PerfectScrollbar from 'perfect-scrollbar';
import { NgZone, ElementRef, OnInit, DoCheck, OnChanges, OnDestroy, EventEmitter, SimpleChanges, KeyValueDiffers } from '@angular/core';
import { Geometry, Position } from './perfect-scrollbar.interfaces';
import { PerfectScrollbarConfigInterface } from './perfect-scrollbar.interfaces';
import * as i0 from "@angular/core";
export declare class PerfectScrollbarDirective implements OnInit, OnDestroy, DoCheck, OnChanges {
    private zone;
    private differs;
    elementRef: ElementRef;
    private platformId;
    private defaults;
    private instance;
    private ro;
    private timeout;
    private animation;
    private configDiff;
    private readonly ngDestroy;
    disabled: boolean;
    config?: PerfectScrollbarConfigInterface;
    psScrollY: EventEmitter<any>;
    psScrollX: EventEmitter<any>;
    psScrollUp: EventEmitter<any>;
    psScrollDown: EventEmitter<any>;
    psScrollLeft: EventEmitter<any>;
    psScrollRight: EventEmitter<any>;
    psYReachEnd: EventEmitter<any>;
    psYReachStart: EventEmitter<any>;
    psXReachEnd: EventEmitter<any>;
    psXReachStart: EventEmitter<any>;
    constructor(zone: NgZone, differs: KeyValueDiffers, elementRef: ElementRef, platformId: Object, defaults: PerfectScrollbarConfigInterface);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngDoCheck(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ps(): PerfectScrollbar | null;
    update(): void;
    geometry(prefix?: string): Geometry;
    position(absolute?: boolean): Position;
    scrollable(direction?: string): boolean;
    scrollTo(x: number, y?: number, speed?: number): void;
    scrollToX(x: number, speed?: number): void;
    scrollToY(y: number, speed?: number): void;
    scrollToTop(offset?: number, speed?: number): void;
    scrollToLeft(offset?: number, speed?: number): void;
    scrollToRight(offset?: number, speed?: number): void;
    scrollToBottom(offset?: number, speed?: number): void;
    scrollToElement(element: HTMLElement | string, offset?: number, speed?: number): void;
    private animateScrolling;
    static ɵfac: i0.ɵɵFactoryDeclaration<PerfectScrollbarDirective, [null, null, null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PerfectScrollbarDirective, "[perfectScrollbar]", ["ngxPerfectScrollbar"], { "disabled": { "alias": "disabled"; "required": false; }; "config": { "alias": "perfectScrollbar"; "required": false; }; }, { "psScrollY": "psScrollY"; "psScrollX": "psScrollX"; "psScrollUp": "psScrollUp"; "psScrollDown": "psScrollDown"; "psScrollLeft": "psScrollLeft"; "psScrollRight": "psScrollRight"; "psYReachEnd": "psYReachEnd"; "psYReachStart": "psYReachStart"; "psXReachEnd": "psXReachEnd"; "psXReachStart": "psXReachStart"; }, never, never, false, never>;
}
//# sourceMappingURL=perfect-scrollbar.directive.d.ts.map